Skip to main content
`Ctrl`+`K`

# TSSetMatStructure

sets the relationship between the nonzero structure of the RHS Jacobian matrix to the IJacobian matrix.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSSetMatStructure(TS ts, MatStructure str)

Logically Collective

## Input Parameters

- ts - the time-stepper

- str - the structure (the default is `UNKNOWN_NONZERO_PATTERN`)

## Note

When the relationship between the nonzero structures is known and supplied the solution process can be much faster

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `MatAXPY()`, `MatStructure`

## Level

intermediate

## Location

src/ts/interface/ts.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages